#############################################################################
#	Copyright (c) 2009, Bendor Research Pty. Ltd. All rights reserved.		#
#	This software is released under the GNU General Public License, version	#
#	3, with the exemptions that 1) the header files installed by this 	 	#
#	package can be included in closed-source code and 2) the libraries		#
#	built by this package can be statically linked into a closed-source 	#
#	binary. See the file LICENSE for the details.							#
#	This software is provided "AS IS", without any warranty or guarantee.	#
#	By using this software you acknowledge that neither Bendor Research nor	#
#	any of its personnel or affiliates can be held liable for any damages,	#
#	including, but not limited to, loss of business, loss of money, loss of #
#	life, loss of reputation, arising out of this software being faulty or	#
#	not performing as advertised, even if Bendor Research was aware of such	#
#	faults in the software. You use this software at your own risk, any and #
#	all liabilities that arise out of your using this software are strictly	#
#	yours.																	#
#############################################################################

VPATH = nanu

#	Cryptographic functions
#	~~~~~~~~~~~~~~~~~~~~~~~

FILES = hash.c hmac.c md5.data md5.c md5-fast.c md5-data.c sha1.c sha1-fast.c \
		cipher.c rc4.c aes.c des.c ecb.c cbc.c cfb.c ofb.c ctr.c \
		rsa-private.c rsa-public.c \
		nanu_nanu.c nanu_push.c nanu_pull.c nanu_cons.c nanu_dupl.c \
		nanu_drop.c nanu_swap.c nanu_over.c nanu_tuck.c nanu_roll.c \
		nanu_pick.c nanu_size.c nanu_tail.c nanu_comp.c \
		nanu_radd.c nanu_rsub.c nanu_rmul.c nanu_rexp.c nanu_rmod.c \
		nanu_madd.c nanu_msub.c nanu_mmul.c nanu_mexp.c nanu_shft.c \
		nanu_util.c nanu_util_asm.S

include ../Makefile

